EDIT - feature request #6752

Add verbatimDate
06/23/2017 01:51 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 5:00 hours
Target version: CDM UML 5.0

Severity: normal

Description

We may need an additional field verbatimDate which is e.g. for references the date when the reference was published according to
what is written on front page.

A couple of questions exist:

* do we need this field for all TimePeriods or only for usage in Reference => decision: references only
¢ what format should it have? String, Date, DateTime, TimePeriod, PartialDate, ... => decision: String

If it does not become a field within TimePeriod it may become more difficult to parse and format such dates as you need to
implement separate parsers and formatters for this special use case.
But we could use a subclass VerbatimTimePeriod which has an extra field.

If it becomes a String it is not possible to format differently according to the needs of the output (e.g. the new IPNI format [dt. Jan
2013; issued 28 Dec 2012] then is not possible to use in a special publication when at other places we only want to have something
like "2013" 2012

Other places where TimePeriod is currently used are: Classification.timeperiod, InstitutionalMembership.period, Person.lifespan,
EvenBase.timeperiod (including subclasses Amplification, DerivationEvent, DeterminationEvent, GatheringEvent,
MaterialOrMethodEvent [Cloning, PreservationMethod], SingleRead), DescriptionElementBase.timeperiod, NamedArea.validPeriod,
See also #6627#note-10

Open issues:

¢ Parsing and Formatting (#7429)

¢ TaxEditorimplementation (#7421)
* Vaadin-implementation (#7425)

Related issues:

Related to EDIT - bug #6627: Remaining cdm light issues Closed
Related to EDIT - task #7425: Implement VerbatimTimeField for cdm-vaadin and ... Closed
Precedes EDIT - feature request #7421: Implement verbatim date for references... Closed
Precedes EDIT - feature request #7429: Improve parsing and formatting for Ver... Closed

Associated revisions

Revision 426e647f - 05/09/2018 01:21 PM - Andreas Miiller

ref #6752 implement verbatimDate for Reference (Parser and Formatter still missing)

Revision bd4d829c - 05/11/2018 03:52 PM - Andreas Miiller

ref #6752 update script for Reference.datepublished_verbatimDate

Revision 1941a843 - 05/16/2018 02:27 PM - Andreas Miiller

ref #6752 strictly use VerbatimTimePeriod where possible

Revision 9ec325d4 - 05/16/2018 02:29 PM - Andreas Miiller

ref #6752 strictly use VerbatimTimePeriod where possible
https://dev.e-taxonomy.eu/redmine/issues/6627#note-10
https://dev.e-taxonomy.eu/redmine/issues/7429
https://dev.e-taxonomy.eu/redmine/issues/7421
https://dev.e-taxonomy.eu/redmine/issues/7425

Revision 5be4a641 - 05/16/2018 02:29 PM - Andreas Miiller
ref #6752 toString for VerbatimTimePeriod

Revision e2ffb1fd - 05/16/2018 03:05 PM - Andreas Miiller

ref #6752 first implementation of VerbatimTimePeriod parser

Revision ece7e0ae - 05/16/2018 11:11 PM - Andreas Miiller

ref #6752 stricter handling of Reference.setDatePublished (only for calling methods)

Revision a99f4712 - 05/16/2018 11:47 PM - Andreas Miiller
ref #6752 fix NPE in VerbatimTimePeriod parser

Revision 5380fe2d - 05/17/2018 10:28 AM - Andreas Miiller
ref #6752 return type for setDatePublished(TimePeriod) and set to deprecated

Revision 46d5e141 - 05/17/2018 10:32 AM - Andreas Miiller
ref #6752, ref #6627 fill verbatimDate in CDM light

Revision b0b44252 - 05/17/2018 11:43 AM - Andreas Miiller

ref #6752 stricter use of verbatimDate in cdmlib-app

History

#1 - 06/23/2017 01:52 PM - Andreas Miiller
- Related to bug #6627: Remaining cdm light issues added

#2 - 06/23/2017 01:57 PM - Andreas Miiller
- Description updated

#3 - 06/23/2017 02:00 PM - Andreas Miiller
- Description updated

#4 - 07/07/2017 05:08 PM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#5 - 05/08/2018 08:24 AM - Andreas Miiller

- Tags set to euro+med

#6 - 05/08/2018 06:03 PM - Andreas Miiller
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 40

#7 - 05/09/2018 05:18 PM - Andreas Miiller
- % Done changed from 40 to 60
- Estimated time set to 5:00 h

#8 - 05/12/2018 04:11 PM - Andreas Miiller
- Due date set to 03/31/2017
- Start date deleted (06/23/2017)

#9 - 05/12/2018 04:12 PM - Andreas Miiller
- Due date deleted (03/31/2017)

#10 - 05/14/2018 05:59 PM - Andreas Miiller

- Status changed from In Progress to Resolved
#11 - 05/16/2018 12:58 AM - Andreas Miiller

- Description updated

#12 - 05/16/2018 01:00 AM - Andreas Miiller

- Precedes feature request #7421: Implement verbatim date for references in TaxEditor added

#13 - 05/16/2018 07:51 PM - Andreas Kohlbecker
- Blocked by task #7425: Implement VerbatimTimeField for cdm-vaadin and use this in the ReferencePopupEditor added

#14 - 05/18/2018 09:53 AM - Andreas Miiller
- Description updated

- % Done changed from 60 to 80

#15 - 05/18/2018 10:10 AM - Andreas Miuller

- Precedes feature request #7429: Improve parsing and formatting for VerbatimTimePeriod added

#16 - 05/18/2018 11:10 AM - Andreas Miller

- Description updated

#17 - 05/18/2018 11:10 AM - Andreas Miiller
- Blocked by deleted (task #7425: Implement VerbatimTimeField for cdm-vaadin and use this in the ReferencePopupEditor)

#18 - 05/18/2018 11:11 AM - Andreas Miiller
- Related to task #7425: Implement VerbatimTimeField for cdm-vaadin and use this in the ReferencePopupEditor added

#19 - 05/18/2018 11:12 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 80 to 100
